relaxngcc.builder

## Class CodeBuilder

- java.lang.Object
- - relaxngcc.builder.CodeBuilder

    public class CodeBuilder
    extends java.lang.Object

generates Java code that parses XML data via NGCCHandler interface

### Constructor Summary

Constructors
Constructor and Description
`CodeBuilder(NGCCGrammar grm, ScopeInfo sci, Options o)`

### Method Summary

Methods
`CDClass` `output()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CodeBuilder

    public CodeBuilder(NGCCGrammar grm,
               ScopeInfo sci,
               Options o)

### Method Detail

#### output

    public CDClass output()
                   throws NoDefinitionException,
                          java.io.IOException

Throws:
  `NoDefinitionException`
  `java.io.IOException`